Last Comment Bug 916315 - enable position:sticky in release builds (already done in B2G)
: enable position:sticky in release builds (already done in B2G)
Status: VERIFIED FIXED
: dev-doc-complete, feature, perf
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- normal with 3 votes (vote)
: mozilla32
Assigned To: :kip (Kearwood Gilbert)
:
Mentors:
Depends on: 886646 902992 915474 915476 916302 919156 919434 920688 926155 926728 930419 931450 931460 935765 946235 949932 980247 983523
Blocks: butter-spread 943849 1257938
  Show dependency treegraph
 
Reported: 2013-09-13 14:54 PDT by Corey Ford [:coyotebush]
Modified: 2016-03-18 11:34 PDT (History)
31 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
32+


Attachments
Bug 916315 Patch To Enable Sticky Preference By Default, r=dbaron (1.12 KB, patch)
2014-05-06 16:55 PDT, :kip (Kearwood Gilbert)
dbaron: review+
Details | Diff | Splinter Review

Description Corey Ford [:coyotebush] 2013-09-13 14:54:00 PDT
Bug 902992 enables position:sticky only on Nightly and Aurora. Among other things, we should wait for a more stable specification before enabling it on Beta and Release.
Comment 1 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2014-01-26 09:44:40 PST
Can we prioritize that for 1.4 ? 

The code of sms/contacts/call log is using their own fixed header solution implemented in JS and will let us remove it as well as saving some extra repaints.
The feeling of fixed headers will be also much better since the current code relies on "scroll" events and the fixed headers are lagging behind the user gesture with APZC enabled.
Comment 2 Gregor Wagner [:gwagner] 2014-02-03 01:08:44 PST
David, can we get this for 1.4?
Comment 3 Preeti Raghunath(:Preeti) 2014-02-25 14:16:17 PST
Milan

Do we need this for 1.4? Or is this something that can be moved to 1.5
Comment 4 Milan Sreckovic [:milan] 2014-02-25 17:54:07 PST
I'm basing 1.4+ on Comment 1, so I'll leave it to Vivien to answer that. I personally have a feeling that this would be identified as a blocker by our partners, but only in a few weeks, at which point it would be much more expensive to fix.
Comment 5 Julien Wajsberg [:julienw] 2014-02-26 02:49:06 PST
Actually, I think this is enabled in B2G already (bug 945777), and most of our apps are now using position:sticky (eg bug 945481 for Messages).

Not sure why this bug is a blocker then.
Comment 6 Milan Sreckovic [:milan] 2014-02-26 07:46:42 PST
Got it.  I'll update the summary so that it's clear this is for non-B2G platforms.
Comment 7 Markus Padourek 2014-03-07 13:32:01 PST
Any ETA? Would be great if that could be activated soon. Fiddling around with sicky js-libraries that all are a bit buggy (for our use-case, for others they seem to work just fine), where-as position:sticky on the nightly works perfectly.
Comment 8 :kip (Kearwood Gilbert) 2014-05-06 16:55:01 PDT
Created attachment 8418434 [details] [diff] [review]
Bug 916315 Patch To Enable Sticky Preference By Default, r=dbaron

This patch enables the layout.css.sticky.enabled preference by default in release builds.
Comment 9 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2014-05-06 16:59:29 PDT
Did you send an intent to ship message to dev-platform per https://wiki.mozilla.org/WebAPI/ExposureGuidelines ?
Comment 10 :kip (Kearwood Gilbert) 2014-05-06 17:32:23 PDT
(In reply to David Baron [:dbaron] (needinfo? me) (UTC-7) from comment #9)
> Did you send an intent to ship message to dev-platform per
> https://wiki.mozilla.org/WebAPI/ExposureGuidelines ?

I have sent the intent to ship message to dev-platform and am awaiting feedback.
Comment 11 Ben Kelly [:bkelly] 2014-05-07 06:28:56 PDT
FYI, I think we had to disable position:sticky in a number of gaia apps for performance reasons.  For example, see bug 977680 and bug 978067.  I guess the issue is that it creates additional layerization costs.

I don't think this should hold up exposing the API, but just wanted to share that since comment 5 mentioned b2g was using it.
Comment 12 Ryan VanderMeulen [:RyanVM] 2014-05-08 06:51:36 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/15cb2598a361
Comment 13 Ryan VanderMeulen [:RyanVM] 2014-05-08 12:47:19 PDT
https://hg.mozilla.org/mozilla-central/rev/15cb2598a361
Comment 14 yiorsi 2014-05-19 19:39:18 PDT
Thead and table type of element is still not supported Sticky, Chrome Canary has supported.
Comment 15 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2014-05-19 19:45:09 PDT
That's bug 975644.
Comment 16 yiorsi 2014-05-19 21:52:04 PDT
(In reply to David Baron [:dbaron] (Away/Busy May 10-22) (UTC+9) from comment #15)
> That's bug 975644.

Thanks! Current position: sticky does not seem to realize iOS 7 contacts that effect.
Comment 17 Florin Mezei, QA (:FlorinMezei) 2014-07-24 05:28:43 PDT
Verified on Win 7 x64, Ubuntu 12.10 x86, Mac OS X 10.9.4 with Firefox 32 Beta 1 (BuildID: 20140722195627): "layout.css.sticky.enabled" pref is "true" by default, and position sticky seems to work fine (http://html5-demos.appspot.com/static/css/sticky.html).

Note You need to log in before you can comment on or make changes to this bug.